# vKVM TextRenderer

## Installation

Use the installation script provided in the Scripts repository
to install the full package.

Installing a single component is currently not supported.

## Target

TextRender build exports an interface target TextRender::TextRender. 

This means that if TextRender has been installed on the Project Path, it 
should be enough to do.

translate a string from terminal to the readable form of shared memory . 

## Usage

    mkdir build
    cd build
    cmake ..
    make

## Description

TextRender has two class, Bitmap class and Font class. 

res/font.bmp (bitmap data, used by Bitmap::load() function)

res/font.toml (configuration file, it configure how to read the font.bmp)

src/Bitmap class, it used to load the font.bmp file.

src/Font class, it read the font.bmp data by Bitmap class, 
translate a string to a bitmap